com.holonplatform.jdbc

## Enum JdbcConnectionHandler.ConnectionType

- java.lang.Object
- - java.lang.Enum<JdbcConnectionHandler.ConnectionType>
  - - com.holonplatform.jdbc.JdbcConnectionHandler.ConnectionType

- All Implemented Interfaces:
    Serializable, Comparable<JdbcConnectionHandler.ConnectionType>
  Enclosing interface:
    JdbcConnectionHandler

      public static enum JdbcConnectionHandler.ConnectionType
      extends Enum<JdbcConnectionHandler.ConnectionType>

  Connection type

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT` The connection is used to perform normal JDBC calls by the underlying connection consumer
    `INIT` The connection is used to initialize the underlying connection consumer

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JdbcConnectionHandler.ConnectionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JdbcConnectionHandler.ConnectionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INIT

          public static final JdbcConnectionHandler.ConnectionType INIT

      The connection is used to initialize the underlying connection consumer

    - #### DEFAULT

          public static final JdbcConnectionHandler.ConnectionType DEFAULT

      The connection is used to perform normal JDBC calls by the underlying connection consumer

  - ### Method Detail

    - #### values

          public static JdbcConnectionHandler.ConnectionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JdbcConnectionHandler.ConnectionType c : JdbcConnectionHandler.ConnectionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JdbcConnectionHandler.ConnectionType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019 The Holon Platform. All rights reserved.